#Define Library Files
%define major			0
%define libname 		%mklibname %{name}	%{major}

Name:		qmmp
Summary: 	QT4 Sound Client for Linux
Version: 	0.9.1
Release: 	%mkrel 1
URL:		http://www.kde-apps.org/content/show.php?content=13249
Source:     	%name-%version.tar.xz
License:  	GPL
Group: 		Sound
BuildRoot: 	%_tmppath/%name-%version-%release-root
Requires:	%{_lib}alsa2 
Requires:	%{_lib}flac8
Requires:	%{_lib}jack0
Requires:	%{_lib}mad0
Requires:	%{_lib}lame0
#Requires:	%{_lib}mpcdec5
Requires:	%{_lib}ogg0
Requires:	%{_lib}qtcore4
Requires:	%{_lib}qtgui4
Requires:	%{_lib}qtnetwork4
Requires:	%{_lib}qtxml4
Requires:	%{_lib}samplerate0
BuildRequires:	qt4-devel >= 4.3
BuildRequires:	qt4-linguist
BuildRequires:	mad-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	libalsa-devel
BuildRequires:	taglib-devel
BuildRequires:	libcurl-devel
BuildRequires:	libflac-devel >= 1.1.3
BuildRequires:	libmpcdec-devel
BuildRequires:	jackit-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libmodplug-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libwavpack-devel
BuildRequires:	pulseaudio-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	libcdaudio-devel
BuildRequires:	libbs2b-devel
BuildRequires:	libprojectm-devel
BuildRequires:	libmp4v2-devel
BuildRequires:	libfaad2-devel
BuildRequires:	libmms-devel
BuildRequires:	libcdio-devel
BuildRequires:	libcddb-devel
BuildRequires:	wildmidi-devel
BuildRequires:	enca-devel
BuildRequires:	libpthread-stubs
BuildRequires:	cmake
Obsoletes:  	%name < %version
Obsoletes:	qmmp-plugins-simple-ui < 0.9.0

%description
Qmmp (Qt-based Multimedia Player) is an audio-player
written with help of Qt library.


%package devel
Summary:	qmmp development files
Group:		Development/Libraries

%description devel 
Development files for qmmp


%prep
%setup -q

%build
%cmake_qt4 -DUSE_SKINNED:BOOL=TRUE
%make

%install
rm -rf %buildroot
%makeinstall_std -C build



%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(0755,root,root,0755)
%doc AUTHORS ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/16x16/apps/qmmp.png
%{_datadir}/icons/hicolor/32x32/apps/qmmp.png
%{_datadir}/icons/hicolor/48x48/apps/qmmp.png
%{_libdir}/libqmmp.so.%{major}*
%{_libdir}/libqmmpui.so.%{major}*
%{_libdir}/%name/Output/libjack.so
%{_libdir}/%name/Input/libmpc.so
%{_libdir}/%name/Input/libwavpack.so
%{_libdir}/%name/Input/libmodplug.so
%{_libdir}/%name/Input/libflac.so
%{_libdir}/%name/Input/libmad.so
%{_libdir}/%name/Input/libsndfile.so
%{_libdir}/%name/Input/libvorbis.so
%{_libdir}/%name/Output/libalsa.so
%{_libdir}/%name/Output/libpulseaudio.so
%{_libdir}/%name/General/libnotifier.so
%{_libdir}/%name/General/libscrobbler.so
%{_libdir}/%name/General/libstatusicon.so
%{_libdir}/%name/CommandLineOptions/libincdecvolumeoption.so
%{_libdir}/%name/Effect/libsrconverter.so
%{_libdir}/%name/Effect/libbs2b.so
%{_libdir}/%name/FileDialogs/libqmmpfiledialog.so
%{_libdir}/%name/Visual/libanalyzer.so
%_libdir/qmmp/General/libfileops.so
%_libdir/qmmp/General/libhal.so
%{_libdir}/qmmp/General/libgnomehotkey.so
%_libdir/qmmp/General/libhotkey.so
%_libdir/qmmp/General/liblyrics.so
%_libdir/qmmp/General/libmpris.so
%{_libdir}/qmmp/General/librgscan.so
%_libdir/qmmp/Input/libaac.so
%_libdir/qmmp/Input/libcdaudio.so
%_libdir/qmmp/Input/libcue.so
#%_datadir/applications/qmmp_cue.desktop
%_datadir/applications/qmmp_enqueue.desktop
%_libdir/qmmp/CommandLineOptions/libseekoption.so
%_libdir/qmmp/Effect/libladspa.so
%_libdir/qmmp/Engines/libmplayer.so
%_libdir/qmmp/General/libcovermanager.so
%_libdir/qmmp/General/libkdenotify.so
%_libdir/qmmp/Output/libnull.so
%_libdir/qmmp/Transports/libhttp.so
%_libdir/qmmp/Transports/libmms.so
%_libdir/qmmp/Visual/libprojectm.so
%_datadir/icons/hicolor/scalable/apps/qmmp-simple.svgz
%_datadir/icons/hicolor/scalable/apps/qmmp.svgz
%_datadir/qmmp/images/app_icon.png
%_datadir/qmmp/images/empty_cover.png
%_libdir/qmmp/CommandLineOptions/libstatusoption.so
%_libdir/qmmp/Effect/libcrossfade.so
%_libdir/qmmp/Effect/libstereo.so
%_libdir/qmmp/CommandLineOptions/libplaylistoption.so
%_libdir/qmmp/General/libconverter.so
%_libdir/qmmp/General/libcopypaste.so
%_libdir/qmmp/General/libstreambrowser.so
%_libdir/qmmp/General/libtrackchange.so
%_libdir/qmmp/General/libudisks2.so
%_libdir/qmmp/Input/libffmpeg.so
%_libdir/qmmp/Input/libwildmidi.so
%_libdir/qmmp/PlayListFormats/libm3uplaylistformat.so
%_libdir/qmmp/PlayListFormats/libplsplaylistformat.so
%_libdir/qmmp/PlayListFormats/libxspfplaylistformat.so
%_libdir/qmmp/Ui/libskinned.so
%_libdir/qmmp/Ui/libqsui.so
%_datadir/applications/qmmp_dir.desktop


%files devel
%defattr(-,root,root,-)
%{_includedir}/%name/*
%{_libdir}/libqmmp.so
%{_includedir}/qmmpui/*
%{_libdir}/libqmmpui.so
%_libdir/pkgconfig/qmmp.pc
%_libdir/pkgconfig/qmmpui.pc


%changelog
* Wed Sep 23 2015 ghostbunny <ghostbunny at gmx dot de> 0.9.1-1pclos2015
- 0.9.1

* Wed Jun 24 2015 ghostbunny <ghostbunny at gmx dot de> 0.8.5-1pclos2015
- 0.8.5

* Sat Apr 18 2015 ghostbunny <ghostbunny at gmx dot de> 0.8.4-1pclos2015
- 0.8.4
- add missing BR cmake

* Sun Jan 05 2015 bb <bb> 0.8.3-1pclos2015
- update

* Tue Nov 18 2014 bb <bb> 0.8.2-2pclos2014
- rebuild for ffmpeg 2.4.3

* Mon Oct 20 2014 ghostbunny <ghostbunny at gmx dot de> 0.8.2-1pclos2014
- 0.8.2

